// Main include
#include "..\Main\Client.h"

// Functions
bool function_make_offline(char nick_name[10]);
int function_make_online(char nick_name[10]);
void function_create_chat(gint buddy_number);
void function_buddy_hide();
void signal_create_buddy_adder();
void signal_show_requests();
void signal_requests_ok(GtkWidget *button, gint event_id);
void signal_requests_shut(GtkWidget *button, gint event_id);

// Widgets
GtkTreeIter buddy_iter;
bool hidden_offlines;

GtkWidget *new_friend_window;
GtkWidget *new_friend_vbox;
GtkWidget *new_friend_username;
GtkWidget *new_friend_label;